# Tomcat
server:
  port: 19300

# Spring
spring:
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 100MB
      location: D:\File

  application:
    # 应用名称
    name: bonus-file
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      username: nacos
      password: ENC(b8K5x5rjN7qdGdmhgzFayK/P6ZVbC/UNBHjx2SBJkoqU149aXRtJsFhDZcgpckFf)
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
        namespace: ljzhgd
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        namespace: ljzhgd
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
  data:
    mongodb:
      host: 192.168.0.56
      port: 27017
      database: zhgd
      username: zhgd
      password: Bonus@admin123

#文件存储类型  默认 本地存储   oss 时是oss存储 mongodb 、obs 进行区分存储
file:
  save-type: oss

#加密组件
jasypt:
  encryptor:
    password: Encrypt